Last Comment Bug 700434 - Dismiss doorhangers on pressing back / tapping outside
: Dismiss doorhangers on pressing back / tapping outside
Status: VERIFIED FIXED
[QA-]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 702281
  Show dependency treegraph
 
Reported: 2011-11-07 13:27 PST by Sriram Ramasubramanian [:sriram]
Modified: 2016-07-29 14:20 PDT (History)
5 users (show)
camelia.urian: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
PAtch (1/2): Dismisses doorhangers on touching outside (1.19 KB, patch)
2011-11-14 16:00 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review
Patch (2/2): Option 1: Dismiss doorhangers on back by taking focus. (1.18 KB, patch)
2011-11-14 16:03 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review-
Details | Diff | Splinter Review
Patch (2/2): Option 2: Dismiss doorhangers on back without stealing focus (1017 bytes, patch)
2011-11-14 16:04 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Sriram Ramasubramanian [:sriram] 2011-11-07 13:27:46 PST
The doorhangers should be hidden when pressing back or tapping outside.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-14 16:00:54 PST
Created attachment 574462 [details] [diff] [review]
PAtch (1/2): Dismisses doorhangers on touching outside

This patch dismisses doorhangers on touching outside them. The doorhanger container is hidden and shown back when the tab is revisted. DoorHangers are left untouched (as desired).
Comment 2 Sriram Ramasubramanian [:sriram] 2011-11-14 16:03:27 PST
Created attachment 574464 [details] [diff] [review]
Patch (2/2): Option 1: Dismiss doorhangers on back by taking focus.

This dismiss the DoorHangerPopup on pressing back key. This steals the focus from the window.
Earlier we had a discussion on DoorHangerPopup should not steal the focus. I am just having this as an option. Soon uploading the second option.
Comment 3 Sriram Ramasubramanian [:sriram] 2011-11-14 16:04:44 PST
Created attachment 574466 [details] [diff] [review]
Patch (2/2): Option 2: Dismiss doorhangers on back without stealing focus

This patch dismisses DoorHangerPopup on pressing back button. This doesn't steal the focus from the window.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-14 20:12:57 PST
Comment on attachment 574464 [details] [diff] [review]
Patch (2/2): Option 1: Dismiss doorhangers on back by taking focus.

I don't think we want to steal focus
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-14 20:14:29 PST
Comment on attachment 574462 [details] [diff] [review]
PAtch (1/2): Dismisses doorhangers on touching outside

I am having second thoughts about this. I am predicting that people are already tapping or in the process of tapping when the doorhanger appears. So the doorhanger dismisses too quickly.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-14 20:46:45 PST
Comment on attachment 574462 [details] [diff] [review]
PAtch (1/2): Dismisses doorhangers on touching outside

I suppose we can try it and see what happens.
Comment 8 Aaron Train [:aaronmt] 2011-11-16 06:20:33 PST
Samsung Nexus S (Android 2.3.6)
20111116054452
http://hg.mozilla.org/projects/birch/rev/426690602cd5
Comment 9 Aaron Train [:aaronmt] 2011-11-16 06:40:15 PST
Tapping on the new tab (+) button dismisses the door hanger -- what if I made a mistake, and back out back to the page that prompted it (e.g, maps.google.com -> Hit (+) -> "Back" -- I expected to see the door hanger again).
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-16 06:45:47 PST
(In reply to Aaron Train [:aaronmt] from comment #9)
> Tapping on the new tab (+) button dismisses the door hanger -- what if I
> made a mistake, and back out back to the page that prompted it (e.g,
> maps.google.com -> Hit (+) -> "Back" -- I expected to see the door hanger
> again).

Doorhangers are re-shown on tab change, but bug 700437 will hopefully unify this a bit better.
Comment 11 Camelia Urian 2011-12-07 02:50:03 PST
Test cases added: BFT - General
https://litmus.mozilla.org/show_test.cgi?id=40444

Note You need to log in before you can comment on or make changes to this bug.